package be.iminds.ilabt.jfed.rspec.model.imutable_impl;

import be.iminds.ilabt.jfed.rspec.model.OpenflowDataPath;
import be.iminds.ilabt.jfed.rspec.parser.ExtraXml;

public class ImmutableOpenflowDataPath implements OpenflowDataPath {
    private final ExtraXml allXml;
    private final String componentManagerId;
    private final String componentId;
    private final String dpid;

    public ImmutableOpenflowDataPath(OpenflowDataPath orig) {
        this.allXml = orig.getAsExtraXml();
        this.componentManagerId = orig.getComponentManagerId();
        this.componentId = orig.getComponentId();
        this.dpid = orig.getDpid();
    }

    @Override
    public ExtraXml getAsExtraXml() {
        return allXml;
    }

    @Override
    public String getComponentManagerId() {
        return componentManagerId;
    }

    @Override
    public String getComponentId() {
        return componentId;
    }

    @Override
    public String getDpid() {
        return dpid;
    }
}
